org.keycloak.models.map.common

## Class StringKeyConvertor.UUIDKey

- java.lang.Object
- - org.keycloak.models.map.common.StringKeyConvertor.UUIDKey

- All Implemented Interfaces:
    StringKeyConvertor<UUID>
  Enclosing interface:
    StringKeyConvertor<K>

      public static class StringKeyConvertor.UUIDKey
      extends Object
      implements StringKeyConvertor<UUID>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.map.common.StringKeyConvertor

      `StringKeyConvertor.StringKey, StringKeyConvertor.ULongKey, StringKeyConvertor.UUIDKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringKeyConvertor.UUIDKey` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UUIDKey()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UUID` | `fromString(String key)` Returns native representation of the key from String representation
    `UUID` | `yieldNewUniqueKey()` Returns a new unique primary key for the storage that this `StringKeyConvertor` belongs to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.map.common.StringKeyConvertor

      `fromStringSafe, keyToString`

- - ### Field Detail

    - #### INSTANCE

          public static final StringKeyConvertor.UUIDKey INSTANCE

  - ### Constructor Detail

    - #### UUIDKey

          public UUIDKey()

  - ### Method Detail

    - #### yieldNewUniqueKey

          public UUID yieldNewUniqueKey()

      Description copied from interface: `StringKeyConvertor`
      Returns a new unique primary key for the storage that this `StringKeyConvertor` belongs to. The uniqueness needs to be guaranteed by e.g. using database sequences or using a random value that is proved sufficiently improbable to be repeated.
      Specified by:
        `yieldNewUniqueKey` in interface `StringKeyConvertor<UUID>`
      Returns:

    - #### fromString

          public UUID fromString(String key)

      Description copied from interface: `StringKeyConvertor`
      Returns native representation of the key from String representation
      Specified by:
        `fromString` in interface `StringKeyConvertor<UUID>`
      Returns:
        See above

Copyright © 2021 JBoss by Red Hat. All rights reserved.